- Qt 5.5
- Qt3D Module
- C++ Classes
- Q3DMouseEvent
- Qt 5.5.1 Reference Documentation

# Q3DMouseEvent Class

(Qt3D::Q3DMouseEvent)

The Qt3D::Q3DMouseEvent contains parameters that describe a mouse event. More...

Header: | #include <Q3DMouseEvent>
qmake: | QT += 3dcore
Since: | Qt 5.5
Inherits: |

- List of all members, including inherited members

## Public Types

enum | Buttons { LeftButton, RightButton, MiddleButton, BackButton, NoButton }
enum | Modifiers { NoModifier, ShiftModifier, ControlModifier, AltModifier, MetaModifier, KeypadModifier }

## Properties

accepted : bool button : const Qt3D::Q3DMouseEvent::Buttons buttons : const int modifier : const Qt3D::Q3DMouseEvent::Modifiers | wasHeld : const bool x : const int y : const int

## Public Functions

| Q3DMouseEvent(const QMouseEvent & e)
| ~Q3DMouseEvent()
Buttons | button() const
int | buttons() const
bool | isAccepted() const
Modifiers | modifier() const
void | setAccepted(bool accepted)
QEvent::Type | type() const
bool | wasHeld() const
int | x() const
int | y() const

## Detailed Description

The Qt3D::Q3DMouseEvent contains parameters that describe a mouse event.

Mouse events occur when a mouse button is pressed and the ray traversing the view, originating from the mouse position intersects with one or more elements of the scene.

See also Qt3D::Q3DKeyEvent, Qt3D::Q3DWheelEvent, and Qt3D::QMouseInput.

## Member Type Documentation

### enum Q3DMouseEvent::Buttons

### enum Q3DMouseEvent::Modifiers

## Property Documentation

### accepted : bool

Access functions:

bool | isAccepted() const
void | setAccepted(bool accepted)

### button : const Qt3D::Q3DMouseEvent::Buttons

Access functions:

Buttons | button() const

### buttons : const int

Access functions:

int | buttons() const

### modifier : const Qt3D::Q3DMouseEvent::Modifiers

Access functions:

Modifiers | modifier() const

### wasHeld : const bool

Access functions:

bool | wasHeld() const

### x : const int

Access functions:

int | x() const

### y : const int

Access functions:

int | y() const

## Member Function Documentation

### Q3DMouseEvent::Q3DMouseEvent(const QMouseEvent & e)

Constructs a new Qt3D::Q3DMouseEvent instance for the QMouseEvent e.

### Q3DMouseEvent::~Q3DMouseEvent()

### QEvent::Type Q3DMouseEvent::type() const

Returns the QEvent::Type of the event.